/**
 * Copyright (C) 2012 Iordan Iordanov
 * Copyright (C) 2010 Michael A. MacDonald
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */

package com.iiordanov.bVNC;

public class ColorModel256 {

    public final static int [] colors;
    
    static {
        colors = new int[256];
        colors[0]=0xff000000;
        colors[1]=0xff240000;
        colors[2]=0xff490000;
        colors[3]=0xff6d0000;
        colors[4]=0xff920000;
        colors[5]=0xffb60000;
        colors[6]=0xffdb0000;
        colors[7]=0xffff0000;
        colors[8]=0xff002400;
        colors[9]=0xff242400;
        colors[10]=0xff492400;
        colors[11]=0xff6d2400;
        colors[12]=0xff922400;
        colors[13]=0xffb62400;
        colors[14]=0xffdb2400;
        colors[15]=0xffff2400;
        colors[16]=0xff004900;
        colors[17]=0xff244900;
        colors[18]=0xff494900;
        colors[19]=0xff6d4900;
        colors[20]=0xff924900;
        colors[21]=0xffb64900;
        colors[22]=0xffdb4900;
        colors[23]=0xffff4900;
        colors[24]=0xff006d00;
        colors[25]=0xff246d00;
        colors[26]=0xff496d00;
        colors[27]=0xff6d6d00;
        colors[28]=0xff926d00;
        colors[29]=0xffb66d00;
        colors[30]=0xffdb6d00;
        colors[31]=0xffff6d00;
        colors[32]=0xff009200;
        colors[33]=0xff249200;
        colors[34]=0xff499200;
        colors[35]=0xff6d9200;
        colors[36]=0xff929200;
        colors[37]=0xffb69200;
        colors[38]=0xffdb9200;
        colors[39]=0xffff9200;
        colors[40]=0xff00b600;
        colors[41]=0xff24b600;
        colors[42]=0xff49b600;
        colors[43]=0xff6db600;
        colors[44]=0xff92b600;
        colors[45]=0xffb6b600;
        colors[46]=0xffdbb600;
        colors[47]=0xffffb600;
        colors[48]=0xff00db00;
        colors[49]=0xff24db00;
        colors[50]=0xff49db00;
        colors[51]=0xff6ddb00;
        colors[52]=0xff92db00;
        colors[53]=0xffb6db00;
        colors[54]=0xffdbdb00;
        colors[55]=0xffffdb00;
        colors[56]=0xff00ff00;
        colors[57]=0xff24ff00;
        colors[58]=0xff49ff00;
        colors[59]=0xff6dff00;
        colors[60]=0xff92ff00;
        colors[61]=0xffb6ff00;
        colors[62]=0xffdbff00;
        colors[63]=0xffffff00;
        colors[64]=0xff000055;
        colors[65]=0xff240055;
        colors[66]=0xff490055;
        colors[67]=0xff6d0055;
        colors[68]=0xff920055;
        colors[69]=0xffb60055;
        colors[70]=0xffdb0055;
        colors[71]=0xffff0055;
        colors[72]=0xff002455;
        colors[73]=0xff242455;
        colors[74]=0xff492455;
        colors[75]=0xff6d2455;
        colors[76]=0xff922455;
        colors[77]=0xffb62455;
        colors[78]=0xffdb2455;
        colors[79]=0xffff2455;
        colors[80]=0xff004955;
        colors[81]=0xff244955;
        colors[82]=0xff494955;
        colors[83]=0xff6d4955;
        colors[84]=0xff924955;
        colors[85]=0xffb64955;
        colors[86]=0xffdb4955;
        colors[87]=0xffff4955;
        colors[88]=0xff006d55;
        colors[89]=0xff246d55;
        colors[90]=0xff496d55;
        colors[91]=0xff6d6d55;
        colors[92]=0xff926d55;
        colors[93]=0xffb66d55;
        colors[94]=0xffdb6d55;
        colors[95]=0xffff6d55;
        colors[96]=0xff009255;
        colors[97]=0xff249255;
        colors[98]=0xff499255;
        colors[99]=0xff6d9255;
        colors[100]=0xff929255;
        colors[101]=0xffb69255;
        colors[102]=0xffdb9255;
        colors[103]=0xffff9255;
        colors[104]=0xff00b655;
        colors[105]=0xff24b655;
        colors[106]=0xff49b655;
        colors[107]=0xff6db655;
        colors[108]=0xff92b655;
        colors[109]=0xffb6b655;
        colors[110]=0xffdbb655;
        colors[111]=0xffffb655;
        colors[112]=0xff00db55;
        colors[113]=0xff24db55;
        colors[114]=0xff49db55;
        colors[115]=0xff6ddb55;
        colors[116]=0xff92db55;
        colors[117]=0xffb6db55;
        colors[118]=0xffdbdb55;
        colors[119]=0xffffdb55;
        colors[120]=0xff00ff55;
        colors[121]=0xff24ff55;
        colors[122]=0xff49ff55;
        colors[123]=0xff6dff55;
        colors[124]=0xff92ff55;
        colors[125]=0xffb6ff55;
        colors[126]=0xffdbff55;
        colors[127]=0xffffff55;
        colors[128]=0xff0000aa;
        colors[129]=0xff2400aa;
        colors[130]=0xff4900aa;
        colors[131]=0xff6d00aa;
        colors[132]=0xff9200aa;
        colors[133]=0xffb600aa;
        colors[134]=0xffdb00aa;
        colors[135]=0xffff00aa;
        colors[136]=0xff0024aa;
        colors[137]=0xff2424aa;
        colors[138]=0xff4924aa;
        colors[139]=0xff6d24aa;
        colors[140]=0xff9224aa;
        colors[141]=0xffb624aa;
        colors[142]=0xffdb24aa;
        colors[143]=0xffff24aa;
        colors[144]=0xff0049aa;
        colors[145]=0xff2449aa;
        colors[146]=0xff4949aa;
        colors[147]=0xff6d49aa;
        colors[148]=0xff9249aa;
        colors[149]=0xffb649aa;
        colors[150]=0xffdb49aa;
        colors[151]=0xffff49aa;
        colors[152]=0xff006daa;
        colors[153]=0xff246daa;
        colors[154]=0xff496daa;
        colors[155]=0xff6d6daa;
        colors[156]=0xff926daa;
        colors[157]=0xffb66daa;
        colors[158]=0xffdb6daa;
        colors[159]=0xffff6daa;
        colors[160]=0xff0092aa;
        colors[161]=0xff2492aa;
        colors[162]=0xff4992aa;
        colors[163]=0xff6d92aa;
        colors[164]=0xff9292aa;
        colors[165]=0xffb692aa;
        colors[166]=0xffdb92aa;
        colors[167]=0xffff92aa;
        colors[168]=0xff00b6aa;
        colors[169]=0xff24b6aa;
        colors[170]=0xff49b6aa;
        colors[171]=0xff6db6aa;
        colors[172]=0xff92b6aa;
        colors[173]=0xffb6b6aa;
        colors[174]=0xffdbb6aa;
        colors[175]=0xffffb6aa;
        colors[176]=0xff00dbaa;
        colors[177]=0xff24dbaa;
        colors[178]=0xff49dbaa;
        colors[179]=0xff6ddbaa;
        colors[180]=0xff92dbaa;
        colors[181]=0xffb6dbaa;
        colors[182]=0xffdbdbaa;
        colors[183]=0xffffdbaa;
        colors[184]=0xff00ffaa;
        colors[185]=0xff24ffaa;
        colors[186]=0xff49ffaa;
        colors[187]=0xff6dffaa;
        colors[188]=0xff92ffaa;
        colors[189]=0xffb6ffaa;
        colors[190]=0xffdbffaa;
        colors[191]=0xffffffaa;
        colors[192]=0xff0000ff;
        colors[193]=0xff2400ff;
        colors[194]=0xff4900ff;
        colors[195]=0xff6d00ff;
        colors[196]=0xff9200ff;
        colors[197]=0xffb600ff;
        colors[198]=0xffdb00ff;
        colors[199]=0xffff00ff;
        colors[200]=0xff0024ff;
        colors[201]=0xff2424ff;
        colors[202]=0xff4924ff;
        colors[203]=0xff6d24ff;
        colors[204]=0xff9224ff;
        colors[205]=0xffb624ff;
        colors[206]=0xffdb24ff;
        colors[207]=0xffff24ff;
        colors[208]=0xff0049ff;
        colors[209]=0xff2449ff;
        colors[210]=0xff4949ff;
        colors[211]=0xff6d49ff;
        colors[212]=0xff9249ff;
        colors[213]=0xffb649ff;
        colors[214]=0xffdb49ff;
        colors[215]=0xffff49ff;
        colors[216]=0xff006dff;
        colors[217]=0xff246dff;
        colors[218]=0xff496dff;
        colors[219]=0xff6d6dff;
        colors[220]=0xff926dff;
        colors[221]=0xffb66dff;
        colors[222]=0xffdb6dff;
        colors[223]=0xffff6dff;
        colors[224]=0xff0092ff;
        colors[225]=0xff2492ff;
        colors[226]=0xff4992ff;
        colors[227]=0xff6d92ff;
        colors[228]=0xff9292ff;
        colors[229]=0xffb692ff;
        colors[230]=0xffdb92ff;
        colors[231]=0xffff92ff;
        colors[232]=0xff00b6ff;
        colors[233]=0xff24b6ff;
        colors[234]=0xff49b6ff;
        colors[235]=0xff6db6ff;
        colors[236]=0xff92b6ff;
        colors[237]=0xffb6b6ff;
        colors[238]=0xffdbb6ff;
        colors[239]=0xffffb6ff;
        colors[240]=0xff00dbff;
        colors[241]=0xff24dbff;
        colors[242]=0xff49dbff;
        colors[243]=0xff6ddbff;
        colors[244]=0xff92dbff;
        colors[245]=0xffb6dbff;
        colors[246]=0xffdbdbff;
        colors[247]=0xffffdbff;
        colors[248]=0xff00ffff;
        colors[249]=0xff24ffff;
        colors[250]=0xff49ffff;
        colors[251]=0xff6dffff;
        colors[252]=0xff92ffff;
        colors[253]=0xffb6ffff;
        colors[254]=0xffdbffff;
        colors[255]=0xffffffff;
    }
}
